
Ruby - Bug #4737

Ruby crasshes and config.xml becomes a 0 kb file

05/19/2011 05:49 PM - shahabidh (sha jain)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version: 1.9.2   

ruby -v: ruby 1.9.2p0 (2010-08-18 revision

29036) [sparc-solaris2.8]

Backport:  

Description

I am trying to use svn connector to Rally provided from Rally.

I have installed the version 1.9.2p0

bash-3.00# ruby -v

ruby 1.9.2p0 (2010-08-18 revision 29036) [sparc-solaris2.8]

When I try to run the test script I get the following error

bash-3.00# ruby config_test.rb

1.Log file write Passed.

2.Rally Url Passed

/usr/local/lib/ruby/1.9.1/rexml/document.rb:117: [BUG] Segmentation fault

ruby 1.9.2p0 (2010-08-18 revision 29036) [sparc-solaris2.8]

-- control frame ----------

c:0028 p:0018 s:0128 b:0128 l:000115 d:000127 BLOCK 

/usr/local/lib/ruby/1.9.1/rexml/document.rb:117

c:0027 p:---- s:0125 b:0125 l:000124 d:000124 FINISH

c:0026 p:---- s:0123 b:0123 l:000118 d:000122 IFUNC

c:0025 p:---- s:0121 b:0121 l:000120 d:000120 CFUNC  :each

c:0024 p:---- s:0119 b:0119 l:000118 d:000118 CFUNC  :find

c:0023 p:0013 s:0116 b:0116 l:000115 d:000115 METHOD

/usr/local/lib/ruby/1.9.1/rexml/document.rb:117

c:0022 p:0040 s:0113 b:0113 l:000112 d:000112 METHOD

/usr/local/lib/ruby/1.9.1/rexml/attribute.rb:118

c:0021 p:0042 s:0108 b:0105 l:000104 d:000104 METHOD

/usr/local/lib/ruby/1.9.1/rexml/attribute.rb:153

c:0020 p:0199 s:0101 b:0101 l:000100 d:000100 METHOD

/usr/local/lib/ruby/1.9.1/rexml/element.rb:1104

c:0019 p:0043 s:0093 b:0092 l:000082 d:000091 BLOCK 

/usr/local/lib/ruby/1.9.1/rexml/parsers/treeparser.rb:35

c:0018 p:---- s:0088 b:0088 l:000087 d:000087 FINISH

c:0017 p:---- s:0086 b:0086 l:000085 d:000085 CFUNC  :each

c:0016 p:0350 s:0083 b:0083 l:000082 d:000082 METHOD

/usr/local/lib/ruby/1.9.1/rexml/parsers/treeparser.rb:34

c:0015 p:0028 s:0071 b:0071 l:000070 d:000070 METHOD

/usr/local/lib/ruby/1.9.1/rexml/document.rb:230

c:0014 p:0105 s:0067 b:0067 l:000066 d:000066 METHOD

/usr/local/lib/ruby/1.9.1/rexml/document.rb:43
c:0013 p:---- s:0062 b:0062 l:000061 d:000061 FINISH

c:0012 p:---- s:0060 b:0060 l:000059 d:000059 CFUNC  :new

c:0011 p:0059 s:0056 b:0056 l:000055 d:000055 METHOD

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rest_builder.r

b:108

c:0010 p:0290 s:0049 b:0049 l:000048 d:000048 METHOD

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rest_builder.r

b:92

c:0009 p:0124 s:0039 b:0039 l:000038 d:000038 METHOD

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rest_builder.r

b:63

c:0008 p:0045 s:0031 b:0029 l:000028 d:000028 METHOD

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rally_rest.rb:

67

c:0007 p:0027 s:0026 b:0026 l:000025 d:000025 METHOD

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rally_rest.rb:

35

c:0006 p:---- s:0022 b:0022 l:000021 d:000021 FINISH

c:0005 p:---- s:0020 b:0020 l:000019 d:000019 CFUNC  :new

c:0004 p:0111 s:0016 b:0016 l:000015 d:000015 METHOD config_test.rb:57

c:0003 p:0303 s:0010 b:0008 l:002394 d:001344 EVAL   config_test.rb:111

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 l:002394 d:002394 TOP

-- Ruby level backtrace information ----------------------------------------

config_test.rb:111:in <main>' config_test.rb:57:in check_can_connect'

config_test.rb:57:in new' /usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rally_rest.rb:35:in initialize'

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rally_rest.rb:67:in user'

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rest_builder.rb:63:in read_rest'

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rest_builder.rb:92:in send_request'

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rest_builder.rb:108:in check_for_errors'

/usr/local/lib/ruby/gems/1.9.1/gems/rally_rest_api-1.0.3/lib/rally_rest_api/rest_builder.rb:108:in new'

/usr/local/lib/ruby/1.9.1/rexml/document.rb:43:in initialize'

/usr/local/lib/ruby/1.9.1/rexml/document.rb:230:in build' /usr/local/lib/ruby/1.9.1/rexml/parsers/treeparser.rb:34:in parse'

/usr/local/lib/ruby/1.9.1/rexml/parsers/treeparser.rb:34:in each' /usr/local/lib/ruby/1.9.1/rexml/parsers/treeparser.rb:35:in block in

parse'

/usr/local/lib/ruby/1.9.1/rexml/element.rb:1104:in []=' /usr/local/lib/ruby/1.9.1/rexml/attribute.rb:153:in element='

/usr/local/lib/ruby/1.9.1/rexml/attribute.rb:118:in doctype' /usr/local/lib/ruby/1.9.1/rexml/document.rb:117:in doctype'

/usr/local/lib/ruby/1.9.1/rexml/document.rb:117:in find' /usr/local/lib/ruby/1.9.1/rexml/document.rb:117:in each'

/usr/local/lib/ruby/1.9.1/rexml/document.rb:117:in `block in doctype'

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

Abort (core dumped)

History

#1 - 05/20/2011 03:11 AM - drbrain (Eric Hodel)

- Assignee deleted (pragdave (Dave Thomas))

- Priority changed from 6 to Normal

Clearing assignee and priority
#2 - 05/20/2011 02:57 PM - shahabidh (sha jain)

Hi Team,

I am not able to proceed further, Can anyone please help on this

#3 - 05/20/2011 03:10 PM - naruse (Yui NARUSE)

What is config_test.rb.

Is this reproduced with 1.9.2-p180?

#4 - 05/20/2011 03:18 PM - sorah (Sorah Fukumori)

- Status changed from Open to Feedback

#5 - 10/30/2012 10:40 PM - mame (Yusuke Endoh)

- Status changed from Feedback to Rejected

Hello,

I'm closing this ticket as "worksforme".

I don't know what rally is, but I guess OP followed the process explained in the URL:

http://www.rallydev.com/help/subversion-installation-user-guide

I tried it, but I cannot repro:

$ ruby config_test.rb

ruby 1.9.3p286 (2012-10-12 revision 37165) [x86_64-linux]

$ ruby config_test.rb

1. Ruby version check                                 PASSED

2. Ruby rally_api gem check                           PASSED

3. Current directory world searchability check        PASSED

4. Wrapper script world executability check           WARNING   --  wrapper script RallyWrapper.sh not world executable

5. 2rally.rb driver world readability check      PASSED

6. Log file write check                               PASSED

7. Rally Url check                                    PASSED

8. Rally Connection check                             FAILED     -- 743: unexpected token at

We cannot investigate this issue any more, and I believe that this ticket can make no progress.

--

Yusuke Endoh mame@tsg.ne.jp
